<?php
if(empty($GLOBALS['sugarEntry'])) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Public License Version
 * 1.1.3 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.sugarcrm.com/SPL
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *    (i) the "Powered by SugarCRM" logo and
 *    (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * The Original Code is: SugarCRM Open Source
 * The Initial Developer of the Original Code is SugarCRM, Inc.
 * Portions created by SugarCRM are Copyright (C) 2004-2006 SugarCRM, Inc.;
 * All Rights Reserved.
 * Contributor(s): ______________________________________.
 ********************************************************************************/
/*********************************************************************************
 * $Id$
 * Description:
 ********************************************************************************/

if(ob_get_level() > 0) {
	ob_end_clean();
}

if(ob_get_level() < 1) {
	ob_start();
}



require_once('modules/InboundEmail/InboundEmail.php');
require_once('modules/InboundEmail/language/en_us.lang.php');

global $theme;

$msg = $mod_strings['LBL_TEST_WAIT_MESSAGE'];


echo '
<HTML>
	<HEAD>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
		<title>SugarCRM - Commercial Open Source CRM</title>
		<style type="text/css">@import url("themes/'.$theme.'/style.css"); </style>
	</HEAD>
	<body style="margin: 10px">
	<p>
		<table width="100%" cellpadding="0" cellspacing="0" border="0">
			<tr>
				<td>
					<img src="themes/'.$theme.'/images/h3Arrow.gif" width="11" height="11" border="0" alt="'.$mod_strings['LBL_POPUP_TITLE'].'">
				</td>
				<td>
					<h3>&nbsp;'.$mod_strings['LBL_POPUP_TITLE'].'</h3>
				</td>
			</tr>
			<tr>
				<td></td>
				<td valign="top">
					<div id="msg">
					'.$msg.'
					</div>
					<div id="tic"></div>
				</td>
			</tr>
			<tr>
				<td></td>
				<td>
					<form name="form">
					<input name="close" type="button" title="'.$mod_strings['LBL_CLOSE_POPUP'].'"  value="    '.$mod_strings['LBL_CLOSE_POPUP'].'    " onClick="window.close()">
					</form>
				</td>
				
			</tr>
		</table>
	</p>
';
sleep(1);
ob_flush();
flush();
ob_end_flush();
ob_start();

//for($i=0;$i<5;$i++) {
//	echo $i."\r\n";
//	sleep(1);
//	ob_flush();
//	flush();
//	ob_end_flush();
//	ob_start();	
//}

ob_flush();
flush();
ob_end_flush();
ob_start();

if($_REQUEST['tls'] == "true") { $tls = 'tls'; } else { $tls = 'notls'; }
if($_REQUEST['cert'] == "true") { $cert = 'validate-cert'; } else { $cert = 'novalidate-cert'; }
if($_REQUEST['ssl'] == "true") { $ssl = 'ssl'; } else { $ssl = ''; }
//_pp($_REQUEST);

$ie					= new InboundEmail();
$ie->email_user		= $_REQUEST['login'];
$ie->server_url		= $_REQUEST['server'];
$ie->port			= $_REQUEST['port'];
$ie->protocol		= $_REQUEST['protocol'];
$ie->email_password	= $_REQUEST['password'];
$ie->mailbox		= $_REQUEST['mailbox'];
$ie->service		= $tls.'::'.$cert.'::'.$ssl;
$msg 				= $ie->connectMailserver(true);

echo '
	</body>
</html>

<script type="text/javascript">
	function switchMsg() {
		if(typeof(document.getElementById("msg")) != "undefined") {
			document.getElementById("msg").innerHTML = "'.$msg.'";
		}
	}

	switchMsg();
</script>';
ob_end_flush();
?>
