<?php
if(empty($GLOBALS['sugarEntry'])) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Public License Version
 * 1.1.3 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.sugarcrm.com/SPL
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *    (i) the "Powered by SugarCRM" logo and
 *    (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * The Original Code is: SugarCRM Open Source
 * The Initial Developer of the Original Code is SugarCRM, Inc.
 * Portions created by SugarCRM are Copyright (C) 2004-2006 SugarCRM, Inc.;
 * All Rights Reserved.
 * Contributor(s): ______________________________________.
 ********************************************************************************/
/*********************************************************************************
 * $Id: en_us.lang.php,v 1.29.4.1 2006/01/08 04:35:45 majed Exp $
 * Description:  Defines the English language pack for the base application.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/

$mod_strings = array (
  'LBL_MODULE_NAME' => 'Campaigns',
  'LBL_MODULE_TITLE' => 'Campaigns: Home',
  'LBL_SEARCH_FORM_TITLE' => 'Campaign Search',
  'LBL_LIST_FORM_TITLE' => 'Campaign List',
  'LBL_CAMPAIGN_NAME' => 'Name:',
  'LBL_CAMPAIGN' => 'Campaign:',
  'LBL_NAME' => 'Name: ',
  'LBL_INVITEE' => 'Contacts',
  'LBL_LIST_CAMPAIGN_NAME' => 'Campaign',
  'LBL_LIST_STATUS' => 'Status',
  'LBL_LIST_TYPE' => 'Type',
  'LBL_LIST_END_DATE' => 'End Date',
  'LBL_DATE_ENTERED' => 'Date Entered',
  'LBL_DATE_MODIFIED' => 'Date Modified',
  'LBL_MODIFIED' => 'Modified by: ',
  'LBL_CREATED' => 'Created by: ',
  'LBL_TEAM' => 'Team: ',
  'LBL_ASSIGNED_TO' => 'Assigned to: ',
  'LBL_CAMPAIGN_START_DATE' => 'Start Date: ',
  'LBL_CAMPAIGN_END_DATE' => 'End Date: ',
  'LBL_CAMPAIGN_STATUS' => 'Status: ',
  'LBL_CAMPAIGN_BUDGET' => 'Budget: ',
  'LBL_CAMPAIGN_EXPECTED_COST' => 'Expected Cost: ',
  'LBL_CAMPAIGN_ACTUAL_COST' => 'Actual Cost: ',
  'LBL_CAMPAIGN_EXPECTED_REVENUE' => 'Expected Revenue: ',
  'LBL_CAMPAIGN_TYPE' => 'Type: ',
  'LBL_CAMPAIGN_OBJECTIVE' => 'Objective: ',
  'LBL_CAMPAIGN_CONTENT' => 'Description: ',
  'LNK_NEW_CAMPAIGN' => 'Create Campaign',
  'LNK_CAMPAIGN_LIST' => 'Campaigns',
  'LNK_NEW_PROSPECT' => 'Create Target',
  'LNK_PROSPECT_LIST' => 'Targets',
  'LNK_NEW_PROSPECT_LIST' => 'Create Target List',
  'LNK_PROSPECT_LIST_LIST' => 'Target Lists',
  'LBL_MODIFIED_BY' => 'Modified by: ',
  'LBL_CREATED_BY' => 'Created by: ',
  'LBL_DATE_CREATED' => 'Created date: ',
  'LBL_DATE_LAST_MODIFIED' => 'Modified date: ',
  'LBL_TRACKER_KEY' => 'Tracker: ',
  'LBL_TRACKER_URL' => 'Tracker URL: ',
  'LBL_TRACKER_TEXT' => 'Tracker Link Text: ',
  'LBL_TRACKER_COUNT' => 'Tracker Count: ',
  'LBL_REFER_URL' => 'Tracker Redirect URL: ',
  'LBL_DEFAULT_SUBPANEL_TITLE' => 'Campaigns',
  'LBL_EMAIL_CAMPAIGNS_TITLE' =>'Email Campaigns',
  'LBL_NEW_FORM_TITLE' => 'New Campaign',

  'LBL_PROSPECT_LIST_SUBPANEL_TITLE' => 'Target List',
  'LBL_EMAIL_MARKETING_SUBPANEL_TITLE' => 'Email Marketing',
  'LNK_NEW_EMAIL_TEMPLATE' => 'Create Email Template',
  'LNK_EMAIL_TEMPLATE_LIST' => 'Email Templates',
  'LBL_TRACK_BUTTON_TITLE' =>'View Status',
  'LBL_TRACK_BUTTON_KEY' =>'T',
  'LBL_TRACK_BUTTON_LABEL' =>'View Status',
  'LBL_QUEUE_BUTTON_TITLE'=>'Send Emails',
  'LBL_QUEUE_BUTTON_KEY'=>'u',
  'LBL_QUEUE_BUTTON_LABEL'=>'Send Emails',
  'LBL_TEST_BUTTON_TITLE'=>'Send Test',
  'LBL_TEST_BUTTON_KEY'=>'e',
  'LBL_TEST_BUTTON_LABEL'=>'Send Test',

  'LBL_TODETAIL_BUTTON_TITLE'=>'View Details',
  'LBL_TODETAIL_BUTTON_KEY'=>'T',
  'LBL_TODETAIL_BUTTON_LABEL'=>'View Details',
  
  'LBL_DEFAULT'=>'All Target Lists',
  'LBL_MESSAGE_QUEUE_TITLE'=>'Message Queue',
  'LBL_LOG_ENTRIES_TITLE'=>'Responses',
  
  'LBL_LOG_ENTRIES_TARGETED_TITLE'=>'Message Sent/Attempted',
  'LBL_LOG_ENTRIES_SEND_ERROR_TITLE'=>'Bounced Messages,Other',  
  'LBL_LOG_ENTRIES_INVALID_EMAIL_TITLE'=>'Bounced Messages,Invalid Email',
  'LBL_LOG_ENTRIES_LINK_TITLE'=>'Click-thru Link',  
  'LBL_LOG_ENTRIES_VIEWED_TITLE'=>'Viewed Message',
  'LBL_LOG_ENTRIES_REMOVED_TITLE'=>'Opted Out',
  'LBL_LOG_ENTRIES_LEAD_TITLE'=>'Leads Created',
  'LBL_LOG_ENTRIES_CONTACT_TITLE'=>'Contacts Created',
  
  'LBL_BACK_TO_CAMPAIGNS'=>'Back to Campaigns',
  //error messages.
  'ERR_NO_EMAIL_MARKETING'=>'There must be atleast one active Email Marketing message associated with the campaign.',
  'ERR_NO_TARGET_LISTS'=>'There must be atleast one Target List associated with the campaign.',
  'ERR_NO_TEST_TARGET_LISTS'=>'There must be atleast one Target List of type Test associated with the campaign.',  
  'ERR_SENDING_NOW'=>'Messages are being delivered , please try this later.',
  'ERR_MESS_NOT_FOUND_FOR_LIST'=>'No Email Marketing message found for this target list',
  'ERR_MESS_DUPLICATE_FOR_LIST'=>'Multiple Email Marketing message are defined for this target list',
  'ERR_FIX_MESSAGES'=>'Please correct the following errors before proceeding',
  
  'LBL_TRACK_DELETE_BUTTON_KEY'=>'D',
  'LBL_TRACK_DELETE_BUTTON_TITLE'=>'Delete Test Entries',
  'LBL_TRACK_DELETE_BUTTON_LABEL'=>'Delete Test Entries',
  'LBL_TRACK_DELETE_CONFIRM'=>'This option will delete log entries created by the test run. Continue?',
  'ERR_NO_MAILBOX'=>"Following marketing message do not have a mailbox associated with them.<BR>Please correct that before proceeding.",
  'LBL_LIST_TO_ACTIVITY'=>'View Status',
);


?>
